---
title: "SSH Monitor Details abrufen"
description: "Konsolidierter Endpunkt, der die Daten für die SSH Monitor Detailseite in einem Call zurückgibt."
---

`GET /api/ssh-monitors/:sshMonitorPublicId/details`

## Authentifizierung

Erfordert eine gültige Session.

- Header: `Authorization: Bearer <token>`

## Parameter

- `sshMonitorPublicId` (Pfad, erforderlich): Öffentliche UUID des SSH Monitors.

## Query Parameter

- `range` (string, optional): `day`, `week`, `month`, `year` (Default: `day`)
- `date` (string, optional): Referenzdatum (wird via `new Date(date)` geparst)
- `startDate` (string, optional)
- `endDate` (string, optional)
- `granularity` (string, optional)
  - Wenn `raw`, wird Aggregation deaktiviert.

## cURL

```bash
curl "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444/details?range=day" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

Die Response ist ein einzelnes Objekt mit diesen Top-Level Keys:

- `sshMonitorId`
- `monitor`
- `latestCheck`
- `uptimeStats`
- `uptimeStatsMeta`
- `monitoringData`
- `incidents`
- `alerts`
- `testResultLog`
- `maintenance`

Beispiel (gekürzt):

```json
{
  "sshMonitorId": 300,
  "monitor": {
    "id": 300,
    "customerId": 10,
    "name": "Bastion Host",
    "hostname": "ssh.deinkunde.com",
    "port": 22,
    "status": "active",
    "checkInterval": 60,
    "timeoutSeconds": 30,
    "config": {
      "username": "root"
    }
  },
  "latestCheck": {
    "status": "success",
    "checkedAt": "2026-02-26T12:00:00.000Z",
    "timingSsh": 123,
    "locationCode": "de-nbg",
    "locationName": "Nuremberg (DE)"
  },
  "uptimeStats": {
    "day": 99.9,
    "month": 99.5,
    "year": 99.0,
    "dayAvgResponse": 120,
    "monthAvgResponse": 140,
    "yearAvgResponse": 150
  },
  "maintenance": {
    "inMaintenance": false,
    "activeWindows": [],
    "allWindows": []
  }
}
```

## Errors

- `400` Ungültige SSH Monitor Public ID (UUID)
- `401` Unauthorized
- `403` Forbidden
- `404` Not found
- `500` Failed to fetch SSH monitor details

